#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long a,b,c, l[6];
    scanf("%lld%lld%lld" ,&a,&b,&c);
    
    int brojac1 = 0;
    int brojac2 = 0;
    int brojac3 = 0;
    
    long long a1 = a;
    long long b1 = b;
    long long c1 = c;
    
    while(a1>0)
    {
        a1 = a1/10;
        brojac1++;
    }
    while(b1>0)
    {
        b1 = b1/10;
        brojac2++;
    }
    while(c1>0)
    {
        c1 = c1/10;
        brojac3++;
    }
    
    l[0] = a*pow(10,brojac2+brojac3) + b*pow(10,brojac3) + c;
    l[1] = a*pow(10,brojac2+brojac3) + c*pow(10,brojac2) + b;
    l[2] = b*pow(10,brojac1+brojac3) + a*pow(10,brojac3) + c;
    l[3] = b*pow(10,brojac1+brojac3) + c*pow(10,brojac1) + a;
    l[4] = c*pow(10,brojac1+brojac2) + b*pow(10,brojac1) + a;
    l[5] = c*pow(10,brojac1+brojac2) + a*pow(10,brojac2) + b;
    
    long long Maks = l[0];
    for(int i = 1;i < 6;i++)
    {
        if(l[i]>Maks){Maks = l[i];}
    }
    printf("%lld", Maks);
    
    return 0;
    
    
}